Subject: Re: [PATCH 1/1] powerpc: fix missing L2 cache size in /sys/devices/system/cpu

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 11 Feb 2015 06:45:34 +1100

On Tue, 2015-02-10 at 08:55 -0800, Dave Olson wrote:
> Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > On Tue, 2015-02-10 at 00:00 -0800, Dave Olson wrote:
> > > 
> > > OK, now that I understand that's the case, I'll have to go back and
> > > re-do the patch to handle both cache-size and d-cache-size for the
> > > L2 cache (using whichever is present).
> > 
> > I notice that you also didn't modify all the other properties, I would
> > assume you need to also updates in that area ? Maybe you should
> > duplicate the whole structure and have the code look for both.
> 
> Since we have line_size_props, I can bump that from 2 to 4
> entries, and add "cache_line_size" and "cache_block_size",
> instead of an explict check.
> 
> I could change size_prop, and nr_sets_prop to be a structure like
> line_size_props, if you think that's cleaner than the explict
> check for "cache-size", and "cache-sets" in the functions.
> 
> These 3 seem to be the only ones at issue, and I should have checked
> futher to realize that sets and line size were missing.
> 
> What's the preference for the other 2 missing items?

Up to you, but I'm thinking at this point, isn't it worth duplicating
the whole struct and using which ever matches on the first entry ?

> > > I don't have any power Macs to use for testing, would one of you be
> > > willing and able to verify the patch on a power Mac?
> 
> Dave Olson
> [email-masked]